Subject: Re: [Sipping] Exploders anad ad-hoc lists

From: Gonzalo Camarillo <[email-masked]>
Date: Sat, 06 Dec 2003 20:18:39 +0200

Paul,

regadring where to place the ad-hoc list, in a URI parameter or in a 
header, I personally do not have a strong opinion. Nevertheless, I was 
talking to Adam and Robert, and they said that, based on their 
experience with the SUBSCRIBE/NOTIFY and the REFER spec, they would 
rather use a URI parameter.

Thanks,

Gonzalo

Paul Kyzivat wrote:

> Gonzalo,
> 
> I like the concept, but I am troubled by passing the reference to the 
> list as a sip/sips url parameter, for the following reasons:
> 
> - how does it get there? In your examples, you have the parameter
>   in the request uri, but not in the To uri. Normally a UA would
>   determine the destination, and put it in both To and request URIs.
>   This implies some extra special casing.
> 
> - How does it stay there. If the address in the request uri is of
>   an AoR, a proxy may replace it with a corresponding registered
>   contact. If so, the reference to the list will be lost.
> 
> - logically the request is being addressed to the service, and the
>   list is a parameter to the service and the particular method the
>   service is being asked to perform. Embedding the list in the address
>   of the service seems inappropriate.
> 
> I think there needs to be a better place to put the reference to the 
> list. A new header would seem to be the logical answer.
> 
> Regarding draft-camarillo-sipping-exploders-solution-00:
> 
> You say the requester should subscribe to a url returned in the response 
> to learn the outcome of the exploded requests. But that opens a time 
> window when some status may lost. Do you have any thoughts on how to 
> close that? (E.g. the first response to a subscription gives all the 
> cumulative history of what has happened.)
> 
> There are a couple of references to an Explode-To header, but no 
> explanation and no examples. It seems redundant to the list, unless it 
> is intended as a way to convey the reference to the list.
> 
>     Paul
> 
> Gonzalo Camarillo wrote:
> 
>> Folks,
>>
>> we have just submitted three drafts about exploders and ad-hoc lists.
>>
>> We have added more requirements to the following draft. The new 
>> requirements were mainly discussed in the SIMPLE mailing list.
>>
>> http://standards.ericsson.net/gonzalo/papers/draft-camarillo-sipping-exploders-01.txt 
>>
>>
>> The following draft describes how to carry lists of URIs in SIP 
>> requests. It is not a finished draft. It is intended to trigger 
>> discussions on this topic to see whether this is a step the right 
>> direction.
>>
>> http://standards.ericsson.net/gonzalo/papers/draft-camarillo-sipping-uri-list-00.txt 
>>
>>
>> The following draft defines a new method called EXPLODE. EXPLODE does 
>> the same as REFER. That is, it tells a UA to send a request somewhere. 
>> The differences are that EXPLODE accepts more than one destination 
>> (REFER carries a single Refer-To header field) and that EXPLODE does 
>> not establish implicit subscriptions of any type. This draft is also 
>> intended to trigger discussions within the WG.
>>
>> http://standards.ericsson.net/gonzalo/papers/draft-camarillo-sipping-explode-method-00.txt 
>>
>>
>> Let's try to keep discussions about this topic in the SIPPING mailing 
>> list. I will forward this mail to the SIMPLE mailing list to let them 
>> know.
>>
>> Comments are welcome,
>>
>> Gonzalo
>>
>>
>>
>> _______________________________________________
>> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
>> This list is for NEW development of the application of SIP
>> Use [email-masked] for questions on current sip
>> Use [email-masked] for new developments of core SIP
>>

-- 
Gonzalo Camarillo         Phone :  +358  9 299 33 71
Oy L M Ericsson Ab        Mobile:  +358 40 702 35 35
Telecom R&D               Fax   :  +358  9 299 30 52
FIN-02420 Jorvas          Email :  [email-masked]
Finland                   http://www.hut.fi/~gonzalo

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Paul Kyzivat <[email-masked]>
Date: Sun, 07 Dec 2003 23:01:33 -0500

Gonzalo,

I don't have strong opinions either, other than that the choice work 
well. But you didn't answer any of my questions. Maybe if using uri 
parameters is Adam and Robert's idea they can answer them.

	Paul

Gonzalo Camarillo wrote:
>> You say the requester should subscribe to a url returned in the 
>> response to learn the outcome of the exploded requests. But that opens 
>> a time window when some status may lost. Do you have any thoughts on 
>> how to close that? (E.g. the first response to a subscription gives 
>> all the cumulative history of what has happened.)
>>
>>> the same as REFER. That is, it tells a UA to send a request 
>>> somewhere. The differences are that EXPLODE accepts more than one 
>>> destination (REFER carries a single Refer-To header field) and that 
>>> EXPLODE does not establish implicit subscriptions of any type. This 
>>> draft is also intended to trigger discussions within the WG.
>>>